Vincent is here! Just say the word, and Vincent will build the campaigns for you! Get early access.
curl --request GET \
--url https://api.voucherify.io/v2/loyalties/programs/{programId}/members/{memberId}/rewards/purchases \
--header 'Authorization: Bearer <token>' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"data": [
{
"id": "<string>",
"card_id": "<string>",
"card_transaction_id": "<string>",
"program_id": "<string>",
"member_id": "<string>",
"reward_id": "<string>",
"status": "PENDING",
"type": "PURCHASE",
"details": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}
],
"cursor": {
"next": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
},
"object": "<string>"
}⚠️ BETA endpoint
This is a work-in-progress documentation of a BETA endpoint. The parameters, fields, request and response bodies, and other data may subject to change. If you want to share feedback or improvements, contact Voucherify support or your Technical Account Manager.
Lists reward purchase transactions for a specific member within a program. Only returns transactions of type PURCHASE. Supports filtering by id and created_at. Uses cursor-based pagination.
curl --request GET \
--url https://api.voucherify.io/v2/loyalties/programs/{programId}/members/{memberId}/rewards/purchases \
--header 'Authorization: Bearer <token>' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"data": [
{
"id": "<string>",
"card_id": "<string>",
"card_transaction_id": "<string>",
"program_id": "<string>",
"member_id": "<string>",
"reward_id": "<string>",
"status": "PENDING",
"type": "PURCHASE",
"details": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}
],
"cursor": {
"next": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
},
"object": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Unique program identifier
Unique member identifier
Number of results to return (1-100, default 10)
1 <= x <= 100Sort order for results
-created_at, created_at Cursor token for pagination
AND, OR 100Was this page helpful?